{
  "manifestVersion": "3.2",
  "proxies": [
    {
      "address": "0x050ACf48e82d3688A93180082f7adeA015d78892",
      "txHash": "0x88ce2a21356bed6c3c42db72206cbcd8fa642990fae1eb4dfd2786db8ed420b8",
      "kind": "uups"
    },
    {
      "address": "0x916fD79AFE9BdA073A8eF68014026c59292f4bec",
      "txHash": "0x80ce485d96f5d3d0672cd212476808ac0198195c6b1e8841c4c4c612f03eab9a",
      "kind": "uups"
    },
    {
      "address": "0x6D12F383d58Fb05f00799dEB5742CC0EF28Cf038",
      "txHash": "0x274b6b58b6aaf391968fca65e83ce65088a77fff30ed715fc565874d086a3b15",
      "kind": "uups"
    },
    {
      "address": "0x664dF9c24b184f8D2533BfFF1E8cbff939978879",
      "txHash": "0xa529af0b5a88f48688f880a9b8c36104b9d5a23cc4b21a1e3ba842b94c1285d5",
      "kind": "uups"
    },
    {
      "address": "0x102e3F25Ef0ad9b0695C8F2daF8A1262437eEfc3",
      "txHash": "0xb32895496edc152a1991636b83ab89939d93b683f5393675cfefd70ac314a2b8",
      "kind": "uups"
    },
    {
      "address": "0xdC18de7D5A439cb90F149Eb62bAace55557d20AA",
      "txHash": "0x43f070e5e4f1137ca7a4207d21d48acb163855d7ac6099211262d2285e8b5edf",
      "kind": "uups"
    },
    {
      "address": "0xc110C84b107126c4E5b1CE598d3602ec0260D98B",
      "txHash": "0x8aca4618e47a8e8fb6a8a54af9afdf703a95dc3f722fb9aa488d6f64ea29f995",
      "kind": "uups"
    },
    {
      "address": "0x691Aa0fF71a330454f50452925A3005Ae8412902",
      "txHash": "0x38a51ad21c16e2911d78a423065dac4c6b8d5ee7e2aa35431fbc37c7d410a8e1",
      "kind": "uups"
    },
    {
      "address": "0x15dA695F8ad005c2Ccd0AEC57C902c404E510Aab",
      "txHash": "0xa4f8364eea4cc24b25755effa35baa75b347f174aa6cc62991e533f9fc09f251",
      "kind": "uups"
    },
    {
      "address": "0xb5Ddb2C45874f04aD0d48F3bB6b0748b1D06814C",
      "txHash": "0x3754cb115281b8b3d1384e6c9fc5df43dca4875128ef8b34690a24a82b666e5f",
      "kind": "uups"
    },
    {
      "address": "0xDC2b9D97751be177108a9AD2758377EBd4bA7e74",
      "txHash": "0x809c1cef770b4d92470d0c32eb3b95fc5f12a09b6a81fc4d74d39bb5ee01ab28",
      "kind": "uups"
    },
    {
      "address": "0xE82c7cB9CfA42D6eb7e443956b78f8290249c316",
      "txHash": "0x483864261551c7961d1bd022ed6e3d9a7e2c2ca532645dc119e557c2d4a3a502",
      "kind": "uups"
    },
    {
      "address": "0x488409CE9A3Fcd8EbD373dCb7e025cF8AB96fcdc",
      "txHash": "0xaae0de3172940a3e612bcf41a4d619a79dccee78035c84412fde5a421c1e6fdb",
      "kind": "uups"
    },
    {
      "address": "0xCb4E7B1069F6C26A1c27523ce4c8dfD884552d1D",
      "txHash": "0xd8e891cd76057f51225dc839e7c4efb22959aad11e952b2b4f6fe2ca6de2bcca",
      "kind": "uups"
    }
  ],
  "impls": {
    "0d29172dc4cf27b6f2516e07cdf4850639d3150c256071c0332dc01901c02251": {
      "address": "0x12F6b84017E70C85Bf9EF2CEF320BccFd7E7314B",
      "txHash": "0x597ee4bd6908d95d23c501171d737fcdabe9a6ebc7e1cf22837f801754e1de04",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "factory",
            "offset": 0,
            "slot": "0",
            "type": "t_mapping(t_address,t_address)",
            "contract": "ConfiguratorStorage",
            "src": "contracts/ytLending/ConfiguratorStorage.sol:12"
          },
          {
            "label": "configuratorParams",
            "offset": 0,
            "slot": "1",
            "type": "t_mapping(t_address,t_struct(Configuration)5434_storage)",
            "contract": "ConfiguratorStorage",
            "src": "contracts/ytLending/ConfiguratorStorage.sol:15"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)73_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)13_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_struct(AssetConfig)5401_storage)dyn_storage": {
            "label": "struct LendingConfiguration.AssetConfig[]",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_address)": {
            "label": "mapping(address => address)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(Configuration)5434_storage)": {
            "label": "mapping(address => struct LendingConfiguration.Configuration)",
            "numberOfBytes": "32"
          },
          "t_struct(AssetConfig)5401_storage": {
            "label": "struct LendingConfiguration.AssetConfig",
            "members": [
              {
                "label": "asset",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "priceFeed",
                "type": "t_address",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "decimals",
                "type": "t_uint8",
                "offset": 20,
                "slot": "1"
              },
              {
                "label": "borrowCollateralFactor",
                "type": "t_uint64",
                "offset": 21,
                "slot": "1"
              },
              {
                "label": "liquidateCollateralFactor",
                "type": "t_uint64",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "liquidationFactor",
                "type": "t_uint64",
                "offset": 8,
                "slot": "2"
              },
              {
                "label": "supplyCap",
                "type": "t_uint128",
                "offset": 16,
                "slot": "2"
              }
            ],
            "numberOfBytes": "96"
          },
          "t_struct(Configuration)5434_storage": {
            "label": "struct LendingConfiguration.Configuration",
            "members": [
              {
                "label": "baseToken",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "baseTokenPriceFeed",
                "type": "t_address",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "supplyKink",
                "type": "t_uint64",
                "offset": 20,
                "slot": "1"
              },
              {
                "label": "supplyPerYearInterestRateSlopeLow",
                "type": "t_uint64",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "supplyPerYearInterestRateSlopeHigh",
                "type": "t_uint64",
                "offset": 8,
                "slot": "2"
              },
              {
                "label": "supplyPerYearInterestRateBase",
                "type": "t_uint64",
                "offset": 16,
                "slot": "2"
              },
              {
                "label": "borrowKink",
                "type": "t_uint64",
                "offset": 24,
                "slot": "2"
              },
              {
                "label": "borrowPerYearInterestRateSlopeLow",
                "type": "t_uint64",
                "offset": 0,
                "slot": "3"
              },
              {
                "label": "borrowPerYearInterestRateSlopeHigh",
                "type": "t_uint64",
                "offset": 8,
                "slot": "3"
              },
              {
                "label": "borrowPerYearInterestRateBase",
                "type": "t_uint64",
                "offset": 16,
                "slot": "3"
              },
              {
                "label": "storeFrontPriceFactor",
                "type": "t_uint64",
                "offset": 24,
                "slot": "3"
              },
              {
                "label": "trackingIndexScale",
                "type": "t_uint64",
                "offset": 0,
                "slot": "4"
              },
              {
                "label": "baseBorrowMin",
                "type": "t_uint104",
                "offset": 8,
                "slot": "4"
              },
              {
                "label": "targetReserves",
                "type": "t_uint104",
                "offset": 0,
                "slot": "5"
              },
              {
                "label": "assetConfigs",
                "type": "t_array(t_struct(AssetConfig)5401_storage)dyn_storage",
                "offset": 0,
                "slot": "6"
              }
            ],
            "numberOfBytes": "224"
          },
          "t_uint104": {
            "label": "uint104",
            "numberOfBytes": "13"
          },
          "t_uint128": {
            "label": "uint128",
            "numberOfBytes": "16"
          },
          "t_uint8": {
            "label": "uint8",
            "numberOfBytes": "1"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "6b202cc33fae20652e97fb9c193b89bcf63d24b3d9c81a0dc6ae547bc6b68239": {
      "address": "0xa4FE1e07b99035E4471c13fb30ee9c045b3D6899",
      "txHash": "0x4818e0d236efece7b8a5fbacd2391755272a20a660091ffc603da397daa9aa25",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "baseToken",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:14"
          },
          {
            "label": "baseTokenPriceFeed",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:14"
          },
          {
            "label": "supplyKink",
            "offset": 20,
            "slot": "1",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:18"
          },
          {
            "label": "supplyPerSecondInterestRateSlopeLow",
            "offset": 0,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:19"
          },
          {
            "label": "supplyPerSecondInterestRateSlopeHigh",
            "offset": 8,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:20"
          },
          {
            "label": "supplyPerSecondInterestRateBase",
            "offset": 16,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:22"
          },
          {
            "label": "borrowKink",
            "offset": 24,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:23"
          },
          {
            "label": "borrowPerSecondInterestRateSlopeLow",
            "offset": 0,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:24"
          },
          {
            "label": "borrowPerSecondInterestRateSlopeHigh",
            "offset": 8,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:25"
          },
          {
            "label": "borrowPerSecondInterestRateBase",
            "offset": 16,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:28"
          },
          {
            "label": "storeFrontPriceFactor",
            "offset": 24,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:29"
          },
          {
            "label": "trackingIndexScale",
            "offset": 0,
            "slot": "4",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:31"
          },
          {
            "label": "baseBorrowMin",
            "offset": 8,
            "slot": "4",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:33"
          },
          {
            "label": "targetReserves",
            "offset": 0,
            "slot": "5",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:34"
          },
          {
            "label": "assetConfigs",
            "offset": 0,
            "slot": "6",
            "type": "t_mapping(t_address,t_struct(AssetConfig)5401_storage)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:35"
          },
          {
            "label": "assetList",
            "offset": 0,
            "slot": "7",
            "type": "t_array(t_address)dyn_storage",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:39"
          },
          {
            "label": "userBasic",
            "offset": 0,
            "slot": "8",
            "type": "t_mapping(t_address,t_struct(UserBasic)5931_storage)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:44"
          },
          {
            "label": "userCollateral",
            "offset": 0,
            "slot": "9",
            "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:48"
          },
          {
            "label": "totalSupplyBase",
            "offset": 0,
            "slot": "10",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:53"
          },
          {
            "label": "totalBorrowBase",
            "offset": 13,
            "slot": "10",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:55"
          },
          {
            "label": "supplyIndex",
            "offset": 0,
            "slot": "11",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:56"
          },
          {
            "label": "borrowIndex",
            "offset": 0,
            "slot": "12",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:57"
          },
          {
            "label": "lastAccrualTime",
            "offset": 0,
            "slot": "13",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:57"
          },
          {
            "label": "collateralReserves",
            "offset": 0,
            "slot": "14",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:60"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)73_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)13_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(PausableStorage)224_storage": {
            "label": "struct PausableUpgradeable.PausableStorage",
            "members": [
              {
                "label": "_paused",
                "type": "t_bool",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(ReentrancyGuardStorage)288_storage": {
            "label": "struct ReentrancyGuardUpgradeable.ReentrancyGuardStorage",
            "members": [
              {
                "label": "_status",
                "type": "t_uint256",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_address)dyn_storage": {
            "label": "address[]",
            "numberOfBytes": "32"
          },
          "t_int104": {
            "label": "int104",
            "numberOfBytes": "13"
          },
          "t_mapping(t_address,t_mapping(t_address,t_uint256))": {
            "label": "mapping(address => mapping(address => uint256))",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(AssetConfig)5401_storage)": {
            "label": "mapping(address => struct LendingConfiguration.AssetConfig)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(UserBasic)5931_storage)": {
            "label": "mapping(address => struct LendingStorage.UserBasic)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          },
          "t_struct(AssetConfig)5401_storage": {
            "label": "struct LendingConfiguration.AssetConfig",
            "members": [
              {
                "label": "asset",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "priceFeed",
                "type": "t_address",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "decimals",
                "type": "t_uint8",
                "offset": 20,
                "slot": "1"
              },
              {
                "label": "borrowCollateralFactor",
                "type": "t_uint64",
                "offset": 21,
                "slot": "1"
              },
              {
                "label": "liquidateCollateralFactor",
                "type": "t_uint64",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "liquidationFactor",
                "type": "t_uint64",
                "offset": 8,
                "slot": "2"
              },
              {
                "label": "supplyCap",
                "type": "t_uint128",
                "offset": 16,
                "slot": "2"
              }
            ],
            "numberOfBytes": "96"
          },
          "t_struct(UserBasic)5931_storage": {
            "label": "struct LendingStorage.UserBasic",
            "members": [
              {
                "label": "principal",
                "type": "t_int104",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint104": {
            "label": "uint104",
            "numberOfBytes": "13"
          },
          "t_uint128": {
            "label": "uint128",
            "numberOfBytes": "16"
          },
          "t_uint8": {
            "label": "uint8",
            "numberOfBytes": "1"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.ReentrancyGuard": [
            {
              "contract": "ReentrancyGuardUpgradeable",
              "label": "_status",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/utils/ReentrancyGuardUpgradeable.sol:43",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Pausable": [
            {
              "contract": "PausableUpgradeable",
              "label": "_paused",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/utils/PausableUpgradeable.sol:21",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "793e9f7d5e612ca243a1ea11bb5c7f2889b084fb1b51582f2f0888ce7ecc2bd3": {
      "address": "0x88b8E9aE3789A2c06C5df536C71e691cD6780a65",
      "txHash": "0x7577ca90677ed0b3e7fdb32b0ca0a1eec2f6c19a103c5e5454dbdfc2b9b632b3",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "vaults",
            "offset": 0,
            "slot": "0",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "USDY",
            "src": "contracts/ytLp/tokens/USDY.sol:26"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "1",
            "type": "t_array(t_uint256)50_storage",
            "contract": "USDY",
            "src": "contracts/ytLp/tokens/USDY.sol:93"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_mapping(t_address,t_mapping(t_address,t_uint256))": {
            "label": "mapping(address => mapping(address => uint256))",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          },
          "t_string_storage": {
            "label": "string",
            "numberOfBytes": "32"
          },
          "t_struct(ERC20Storage)268_storage": {
            "label": "struct ERC20Upgradeable.ERC20Storage",
            "members": [
              {
                "label": "_balances",
                "type": "t_mapping(t_address,t_uint256)",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_allowances",
                "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "_totalSupply",
                "type": "t_uint256",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "_name",
                "type": "t_string_storage",
                "offset": 0,
                "slot": "3"
              },
              {
                "label": "_symbol",
                "type": "t_string_storage",
                "offset": 0,
                "slot": "4"
              }
            ],
            "numberOfBytes": "160"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.ERC20": [
            {
              "contract": "ERC20Upgradeable",
              "label": "_balances",
              "type": "t_mapping(t_address,t_uint256)",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:33",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_allowances",
              "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:35",
              "offset": 0,
              "slot": "1"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_totalSupply",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:37",
              "offset": 0,
              "slot": "2"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_name",
              "type": "t_string_storage",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:39",
              "offset": 0,
              "slot": "3"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_symbol",
              "type": "t_string_storage",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:40",
              "offset": 0,
              "slot": "4"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "00eb5352f258b6c4c0dda668c2483a3974b576fd954baeba892be62c7a3f1f11": {
      "address": "0xE071419995aE63079af74E7f8eB1643B6F6fb2d7",
      "txHash": "0x506efb16370d40664ddbb105acd2b7197c51a95f74e8a44989f9e1b4cf192f02",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "isMinter",
            "offset": 0,
            "slot": "0",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTLPToken",
            "src": "contracts/ytLp/tokens/YTLPToken.sol:26"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "1",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTLPToken",
            "src": "contracts/ytLp/tokens/YTLPToken.sol:84"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_mapping(t_address,t_mapping(t_address,t_uint256))": {
            "label": "mapping(address => mapping(address => uint256))",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          },
          "t_string_storage": {
            "label": "string",
            "numberOfBytes": "32"
          },
          "t_struct(ERC20Storage)268_storage": {
            "label": "struct ERC20Upgradeable.ERC20Storage",
            "members": [
              {
                "label": "_balances",
                "type": "t_mapping(t_address,t_uint256)",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_allowances",
                "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "_totalSupply",
                "type": "t_uint256",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "_name",
                "type": "t_string_storage",
                "offset": 0,
                "slot": "3"
              },
              {
                "label": "_symbol",
                "type": "t_string_storage",
                "offset": 0,
                "slot": "4"
              }
            ],
            "numberOfBytes": "160"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.ERC20": [
            {
              "contract": "ERC20Upgradeable",
              "label": "_balances",
              "type": "t_mapping(t_address,t_uint256)",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:33",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_allowances",
              "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:35",
              "offset": 0,
              "slot": "1"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_totalSupply",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:37",
              "offset": 0,
              "slot": "2"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_name",
              "type": "t_string_storage",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:39",
              "offset": 0,
              "slot": "3"
            },
            {
              "contract": "ERC20Upgradeable",
              "label": "_symbol",
              "type": "t_string_storage",
              "src": "@openzeppelin/contracts-upgradeable/token/ERC20/ERC20Upgradeable.sol:40",
              "offset": 0,
              "slot": "4"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "9c8e6194388b1d19133e319b43fc8de8a611fb965a68400c283372bd71a45880": {
      "address": "0x7088891AeAA1d6795bA49C1871199EbAc3892599",
      "txHash": "0x0ec941ec38bbb17315daf1a4e0a8c3ac16741094d1a03b445cca6e5a08e6ee0c",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "gov",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:30"
          },
          {
            "label": "usdcAddress",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:37"
          },
          {
            "label": "maxPriceChangeBps",
            "offset": 0,
            "slot": "2",
            "type": "t_uint256",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:40"
          },
          {
            "label": "usdcPriceFeed",
            "offset": 0,
            "slot": "3",
            "type": "t_contract(AggregatorV3Interface)45",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:43"
          },
          {
            "label": "spreadBasisPoints",
            "offset": 0,
            "slot": "4",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:48"
          },
          {
            "label": "lastPrice",
            "offset": 0,
            "slot": "5",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:51"
          },
          {
            "label": "isKeeper",
            "offset": 0,
            "slot": "6",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:52"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "7",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTPriceFeed",
            "src": "contracts/ytLp/core/YTPriceFeed.sol:339"
          }
        ],
        "types": {
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_contract(AggregatorV3Interface)45": {
            "label": "contract AggregatorV3Interface",
            "numberOfBytes": "20"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "dd936fa1bfbd00e2da0bc221fd431d41d474331996c8544cd34f05a9bbdcd446": {
      "address": "0xaF332cd890A394501E191Aa683Fe6aF4227C2623",
      "txHash": "0xcdae39e3d82ee947b35aeaa89af757c562e8188e8b9fd6fdc50d738e2995d0d5",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "gov",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:50"
          },
          {
            "label": "ytPoolManager",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:50"
          },
          {
            "label": "priceFeed",
            "offset": 0,
            "slot": "2",
            "type": "t_address",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:52"
          },
          {
            "label": "usdy",
            "offset": 0,
            "slot": "3",
            "type": "t_address",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:53"
          },
          {
            "label": "isSwapper",
            "offset": 0,
            "slot": "4",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:53"
          },
          {
            "label": "isSwapEnabled",
            "offset": 0,
            "slot": "5",
            "type": "t_bool",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:58"
          },
          {
            "label": "emergencyMode",
            "offset": 1,
            "slot": "5",
            "type": "t_bool",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:59"
          },
          {
            "label": "allWhitelistedTokens",
            "offset": 0,
            "slot": "6",
            "type": "t_array(t_address)dyn_storage",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:60"
          },
          {
            "label": "whitelistedTokens",
            "offset": 0,
            "slot": "7",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:61"
          },
          {
            "label": "stableTokens",
            "offset": 0,
            "slot": "8",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:62"
          },
          {
            "label": "tokenDecimals",
            "offset": 0,
            "slot": "9",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:63"
          },
          {
            "label": "tokenWeights",
            "offset": 0,
            "slot": "10",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:64"
          },
          {
            "label": "totalTokenWeights",
            "offset": 0,
            "slot": "11",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:67"
          },
          {
            "label": "poolAmounts",
            "offset": 0,
            "slot": "12",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:68"
          },
          {
            "label": "tokenBalances",
            "offset": 0,
            "slot": "13",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:71"
          },
          {
            "label": "usdyAmounts",
            "offset": 0,
            "slot": "14",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:75"
          },
          {
            "label": "maxUsdyAmounts",
            "offset": 0,
            "slot": "15",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:76"
          },
          {
            "label": "swapFeeBasisPoints",
            "offset": 0,
            "slot": "16",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:78"
          },
          {
            "label": "stableSwapFeeBasisPoints",
            "offset": 0,
            "slot": "17",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:79"
          },
          {
            "label": "taxBasisPoints",
            "offset": 0,
            "slot": "18",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:82"
          },
          {
            "label": "stableTaxBasisPoints",
            "offset": 0,
            "slot": "19",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:84"
          },
          {
            "label": "hasDynamicFees",
            "offset": 0,
            "slot": "20",
            "type": "t_bool",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:85"
          },
          {
            "label": "maxSwapSlippageBps",
            "offset": 0,
            "slot": "21",
            "type": "t_uint256",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:88"
          },
          {
            "label": "maxSwapAmount",
            "offset": 0,
            "slot": "22",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:91"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "23",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTVault",
            "src": "contracts/ytLp/core/YTVault.sol:639"
          }
        ],
        "types": {
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(ReentrancyGuardStorage)527_storage": {
            "label": "struct ReentrancyGuardUpgradeable.ReentrancyGuardStorage",
            "members": [
              {
                "label": "_status",
                "type": "t_uint256",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_array(t_address)dyn_storage": {
            "label": "address[]",
            "numberOfBytes": "32"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.ReentrancyGuard": [
            {
              "contract": "ReentrancyGuardUpgradeable",
              "label": "_status",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/utils/ReentrancyGuardUpgradeable.sol:43",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "a3fd3af2e788d38049c5cce117dee132378dbc4082946b860e430d5ad84a501a": {
      "address": "0x0D4625A5d3b696684ECf00b49F1B68297A8b3154",
      "txHash": "0xf31548673801689dcd682fec843076859a51c079f69d025100f64a97cb1264cb",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "gov",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:40"
          },
          {
            "label": "ytVault",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:41"
          },
          {
            "label": "usdy",
            "offset": 0,
            "slot": "2",
            "type": "t_address",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:42"
          },
          {
            "label": "ytLP",
            "offset": 0,
            "slot": "3",
            "type": "t_address",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:44"
          },
          {
            "label": "cooldownDuration",
            "offset": 0,
            "slot": "4",
            "type": "t_uint256",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:45"
          },
          {
            "label": "lastAddedAt",
            "offset": 0,
            "slot": "5",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:45"
          },
          {
            "label": "isHandler",
            "offset": 0,
            "slot": "6",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:47"
          },
          {
            "label": "aumAddition",
            "offset": 0,
            "slot": "7",
            "type": "t_uint256",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:50"
          },
          {
            "label": "aumDeduction",
            "offset": 0,
            "slot": "8",
            "type": "t_uint256",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:52"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "9",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTPoolManager",
            "src": "contracts/ytLp/core/YTPoolManager.sol:277"
          }
        ],
        "types": {
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(ReentrancyGuardStorage)527_storage": {
            "label": "struct ReentrancyGuardUpgradeable.ReentrancyGuardStorage",
            "members": [
              {
                "label": "_status",
                "type": "t_uint256",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.ReentrancyGuard": [
            {
              "contract": "ReentrancyGuardUpgradeable",
              "label": "_status",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/utils/ReentrancyGuardUpgradeable.sol:43",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "80132ee3ebf65f0a4ca610bae007bc960e9dd3650abc431efb006d4b031d73c3": {
      "address": "0xa77E96720924c7CBc70D4B0E3842a962f94931dc",
      "txHash": "0xee01e93141036efe5c5155d38fd17066aa7bcd9f70e340ea5d9a26f3044814f2",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "gov",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:33"
          },
          {
            "label": "usdy",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:34"
          },
          {
            "label": "ytLP",
            "offset": 0,
            "slot": "2",
            "type": "t_address",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:35"
          },
          {
            "label": "ytPoolManager",
            "offset": 0,
            "slot": "3",
            "type": "t_address",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:35"
          },
          {
            "label": "ytVault",
            "offset": 0,
            "slot": "4",
            "type": "t_address",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:36"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "5",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTRewardRouter",
            "src": "contracts/ytLp/core/YTRewardRouter.sol:221"
          }
        ],
        "types": {
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(PausableStorage)463_storage": {
            "label": "struct PausableUpgradeable.PausableStorage",
            "members": [
              {
                "label": "_paused",
                "type": "t_bool",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(ReentrancyGuardStorage)527_storage": {
            "label": "struct ReentrancyGuardUpgradeable.ReentrancyGuardStorage",
            "members": [
              {
                "label": "_status",
                "type": "t_uint256",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Pausable": [
            {
              "contract": "PausableUpgradeable",
              "label": "_paused",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/utils/PausableUpgradeable.sol:21",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.ReentrancyGuard": [
            {
              "contract": "ReentrancyGuardUpgradeable",
              "label": "_status",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/utils/ReentrancyGuardUpgradeable.sol:43",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "6122b818fb73c72e0e1c30810ed8e540f09a7bbea21900e801041ad09c4730b2": {
      "address": "0xcD175992dE5EfF46673dBaAb12979bc4fcC0f0f6",
      "txHash": "0x30e5d0a32b41ccad28502a042575c0908a82dc14d9a002491dc6ac66a6948fb0",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "vaultImplementation",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "YTAssetFactory",
            "src": "contracts/ytVault/YTAssetFactory.sol:29"
          },
          {
            "label": "allVaults",
            "offset": 0,
            "slot": "1",
            "type": "t_array(t_address)dyn_storage",
            "contract": "YTAssetFactory",
            "src": "contracts/ytVault/YTAssetFactory.sol:33"
          },
          {
            "label": "isVault",
            "offset": 0,
            "slot": "2",
            "type": "t_mapping(t_address,t_bool)",
            "contract": "YTAssetFactory",
            "src": "contracts/ytVault/YTAssetFactory.sol:36"
          },
          {
            "label": "defaultHardCap",
            "offset": 0,
            "slot": "3",
            "type": "t_uint256",
            "contract": "YTAssetFactory",
            "src": "contracts/ytVault/YTAssetFactory.sol:40"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "4",
            "type": "t_array(t_uint256)50_storage",
            "contract": "YTAssetFactory",
            "src": "contracts/ytVault/YTAssetFactory.sol:440"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_address)dyn_storage": {
            "label": "address[]",
            "numberOfBytes": "32"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_bool)": {
            "label": "mapping(address => bool)",
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "1c57a61daa38362f8650a87d125022acfc042841e807681a3ff096fcc0f087f1": {
      "address": "0xa51409ad5B8Fa77aB7ab8221a5bD76fdF7077E08",
      "txHash": "0xee1f2b05219ea5f953968b70c4b650cd80822f9ee7637631bd2f9f81acfb3f70",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "usdcAddress",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "LendingPriceFeed",
            "src": "contracts/ytLending/LendingPriceFeed.sol:10"
          },
          {
            "label": "usdcPriceFeed",
            "offset": 0,
            "slot": "1",
            "type": "t_contract(AggregatorV3Interface)45",
            "contract": "LendingPriceFeed",
            "src": "contracts/ytLending/LendingPriceFeed.sol:11"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_contract(AggregatorV3Interface)45": {
            "label": "contract AggregatorV3Interface",
            "numberOfBytes": "20"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "9b19ccc45a7019267570af10b3a1c7eec6cbf8cf5eaea36559198953d9fbb4df": {
      "address": "0xB6c6A171C63Bd15B42f28C3207eb697F3c4d4606",
      "txHash": "0xa78e922e78008ce7ab03fdfdf9eba07411dd5f53fd99fce6766744660323f5e9",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "factory",
            "offset": 0,
            "slot": "0",
            "type": "t_mapping(t_address,t_address)",
            "contract": "ConfiguratorStorage",
            "src": "contracts/ytLending/ConfiguratorStorage.sol:12"
          },
          {
            "label": "configuratorParams",
            "offset": 0,
            "slot": "1",
            "type": "t_mapping(t_address,t_struct(Configuration)5720_storage)",
            "contract": "ConfiguratorStorage",
            "src": "contracts/ytLending/ConfiguratorStorage.sol:15"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "2",
            "type": "t_array(t_uint256)50_storage",
            "contract": "Configurator",
            "src": "contracts/ytLending/Configurator.sol:211"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_struct(AssetConfig)5687_storage)dyn_storage": {
            "label": "struct LendingConfiguration.AssetConfig[]",
            "numberOfBytes": "32"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_mapping(t_address,t_address)": {
            "label": "mapping(address => address)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(Configuration)5720_storage)": {
            "label": "mapping(address => struct LendingConfiguration.Configuration)",
            "numberOfBytes": "32"
          },
          "t_struct(AssetConfig)5687_storage": {
            "label": "struct LendingConfiguration.AssetConfig",
            "members": [
              {
                "label": "asset",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "decimals",
                "type": "t_uint8",
                "offset": 20,
                "slot": "0"
              },
              {
                "label": "borrowCollateralFactor",
                "type": "t_uint64",
                "offset": 21,
                "slot": "0"
              },
              {
                "label": "liquidateCollateralFactor",
                "type": "t_uint64",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "liquidationFactor",
                "type": "t_uint64",
                "offset": 8,
                "slot": "1"
              },
              {
                "label": "supplyCap",
                "type": "t_uint128",
                "offset": 16,
                "slot": "1"
              }
            ],
            "numberOfBytes": "64"
          },
          "t_struct(Configuration)5720_storage": {
            "label": "struct LendingConfiguration.Configuration",
            "members": [
              {
                "label": "baseToken",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "lendingPriceSource",
                "type": "t_address",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "supplyKink",
                "type": "t_uint64",
                "offset": 20,
                "slot": "1"
              },
              {
                "label": "supplyPerYearInterestRateSlopeLow",
                "type": "t_uint64",
                "offset": 0,
                "slot": "2"
              },
              {
                "label": "supplyPerYearInterestRateSlopeHigh",
                "type": "t_uint64",
                "offset": 8,
                "slot": "2"
              },
              {
                "label": "supplyPerYearInterestRateBase",
                "type": "t_uint64",
                "offset": 16,
                "slot": "2"
              },
              {
                "label": "borrowKink",
                "type": "t_uint64",
                "offset": 24,
                "slot": "2"
              },
              {
                "label": "borrowPerYearInterestRateSlopeLow",
                "type": "t_uint64",
                "offset": 0,
                "slot": "3"
              },
              {
                "label": "borrowPerYearInterestRateSlopeHigh",
                "type": "t_uint64",
                "offset": 8,
                "slot": "3"
              },
              {
                "label": "borrowPerYearInterestRateBase",
                "type": "t_uint64",
                "offset": 16,
                "slot": "3"
              },
              {
                "label": "storeFrontPriceFactor",
                "type": "t_uint64",
                "offset": 24,
                "slot": "3"
              },
              {
                "label": "trackingIndexScale",
                "type": "t_uint64",
                "offset": 0,
                "slot": "4"
              },
              {
                "label": "baseBorrowMin",
                "type": "t_uint104",
                "offset": 8,
                "slot": "4"
              },
              {
                "label": "targetReserves",
                "type": "t_uint104",
                "offset": 0,
                "slot": "5"
              },
              {
                "label": "assetConfigs",
                "type": "t_array(t_struct(AssetConfig)5687_storage)dyn_storage",
                "offset": 0,
                "slot": "6"
              }
            ],
            "numberOfBytes": "224"
          },
          "t_uint104": {
            "label": "uint104",
            "numberOfBytes": "13"
          },
          "t_uint128": {
            "label": "uint128",
            "numberOfBytes": "16"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint8": {
            "label": "uint8",
            "numberOfBytes": "1"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    },
    "75f45941512afb9c219db09e2571576c528a5f4b3faa5a64a64d1a988c7ebf8e": {
      "address": "0x5beA465c4F8882a09F3F1f258464988b9BbfCDBd",
      "txHash": "0xebf1a659f8107a79649ca49267ce1211c1a9b7363328b5b58060c2e1373aead9",
      "layout": {
        "solcVersion": "0.8.28",
        "storage": [
          {
            "label": "baseToken",
            "offset": 0,
            "slot": "0",
            "type": "t_address",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:14"
          },
          {
            "label": "lendingPriceSource",
            "offset": 0,
            "slot": "1",
            "type": "t_address",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:14"
          },
          {
            "label": "supplyKink",
            "offset": 20,
            "slot": "1",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:18"
          },
          {
            "label": "supplyPerSecondInterestRateSlopeLow",
            "offset": 0,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:19"
          },
          {
            "label": "supplyPerSecondInterestRateSlopeHigh",
            "offset": 8,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:20"
          },
          {
            "label": "supplyPerSecondInterestRateBase",
            "offset": 16,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:22"
          },
          {
            "label": "borrowKink",
            "offset": 24,
            "slot": "2",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:23"
          },
          {
            "label": "borrowPerSecondInterestRateSlopeLow",
            "offset": 0,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:24"
          },
          {
            "label": "borrowPerSecondInterestRateSlopeHigh",
            "offset": 8,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:25"
          },
          {
            "label": "borrowPerSecondInterestRateBase",
            "offset": 16,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:28"
          },
          {
            "label": "storeFrontPriceFactor",
            "offset": 24,
            "slot": "3",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:29"
          },
          {
            "label": "trackingIndexScale",
            "offset": 0,
            "slot": "4",
            "type": "t_uint64",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:31"
          },
          {
            "label": "baseBorrowMin",
            "offset": 8,
            "slot": "4",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:33"
          },
          {
            "label": "targetReserves",
            "offset": 0,
            "slot": "5",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:34"
          },
          {
            "label": "assetConfigs",
            "offset": 0,
            "slot": "6",
            "type": "t_mapping(t_address,t_struct(AssetConfig)5687_storage)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:35"
          },
          {
            "label": "assetList",
            "offset": 0,
            "slot": "7",
            "type": "t_array(t_address)dyn_storage",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:39"
          },
          {
            "label": "userBasic",
            "offset": 0,
            "slot": "8",
            "type": "t_mapping(t_address,t_struct(UserBasic)6372_storage)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:44"
          },
          {
            "label": "userCollateral",
            "offset": 0,
            "slot": "9",
            "type": "t_mapping(t_address,t_mapping(t_address,t_uint256))",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:48"
          },
          {
            "label": "totalSupplyBase",
            "offset": 0,
            "slot": "10",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:53"
          },
          {
            "label": "totalBorrowBase",
            "offset": 13,
            "slot": "10",
            "type": "t_uint104",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:55"
          },
          {
            "label": "supplyIndex",
            "offset": 0,
            "slot": "11",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:56"
          },
          {
            "label": "borrowIndex",
            "offset": 0,
            "slot": "12",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:57"
          },
          {
            "label": "lastAccrualTime",
            "offset": 0,
            "slot": "13",
            "type": "t_uint256",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:57"
          },
          {
            "label": "collateralReserves",
            "offset": 0,
            "slot": "14",
            "type": "t_mapping(t_address,t_uint256)",
            "contract": "LendingStorage",
            "src": "contracts/ytLending/LendingStorage.sol:60"
          },
          {
            "label": "__gap",
            "offset": 0,
            "slot": "15",
            "type": "t_array(t_uint256)50_storage",
            "contract": "Lending",
            "src": "contracts/ytLending/Lending.sol:684"
          }
        ],
        "types": {
          "t_address": {
            "label": "address",
            "numberOfBytes": "20"
          },
          "t_bool": {
            "label": "bool",
            "numberOfBytes": "1"
          },
          "t_struct(InitializableStorage)119_storage": {
            "label": "struct Initializable.InitializableStorage",
            "members": [
              {
                "label": "_initialized",
                "type": "t_uint64",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "_initializing",
                "type": "t_bool",
                "offset": 8,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(OwnableStorage)59_storage": {
            "label": "struct OwnableUpgradeable.OwnableStorage",
            "members": [
              {
                "label": "_owner",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(PausableStorage)270_storage": {
            "label": "struct PausableUpgradeable.PausableStorage",
            "members": [
              {
                "label": "_paused",
                "type": "t_bool",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_struct(ReentrancyGuardStorage)334_storage": {
            "label": "struct ReentrancyGuardUpgradeable.ReentrancyGuardStorage",
            "members": [
              {
                "label": "_status",
                "type": "t_uint256",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint256": {
            "label": "uint256",
            "numberOfBytes": "32"
          },
          "t_uint64": {
            "label": "uint64",
            "numberOfBytes": "8"
          },
          "t_array(t_address)dyn_storage": {
            "label": "address[]",
            "numberOfBytes": "32"
          },
          "t_array(t_uint256)50_storage": {
            "label": "uint256[50]",
            "numberOfBytes": "1600"
          },
          "t_int104": {
            "label": "int104",
            "numberOfBytes": "13"
          },
          "t_mapping(t_address,t_mapping(t_address,t_uint256))": {
            "label": "mapping(address => mapping(address => uint256))",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(AssetConfig)5687_storage)": {
            "label": "mapping(address => struct LendingConfiguration.AssetConfig)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_struct(UserBasic)6372_storage)": {
            "label": "mapping(address => struct LendingStorage.UserBasic)",
            "numberOfBytes": "32"
          },
          "t_mapping(t_address,t_uint256)": {
            "label": "mapping(address => uint256)",
            "numberOfBytes": "32"
          },
          "t_struct(AssetConfig)5687_storage": {
            "label": "struct LendingConfiguration.AssetConfig",
            "members": [
              {
                "label": "asset",
                "type": "t_address",
                "offset": 0,
                "slot": "0"
              },
              {
                "label": "decimals",
                "type": "t_uint8",
                "offset": 20,
                "slot": "0"
              },
              {
                "label": "borrowCollateralFactor",
                "type": "t_uint64",
                "offset": 21,
                "slot": "0"
              },
              {
                "label": "liquidateCollateralFactor",
                "type": "t_uint64",
                "offset": 0,
                "slot": "1"
              },
              {
                "label": "liquidationFactor",
                "type": "t_uint64",
                "offset": 8,
                "slot": "1"
              },
              {
                "label": "supplyCap",
                "type": "t_uint128",
                "offset": 16,
                "slot": "1"
              }
            ],
            "numberOfBytes": "64"
          },
          "t_struct(UserBasic)6372_storage": {
            "label": "struct LendingStorage.UserBasic",
            "members": [
              {
                "label": "principal",
                "type": "t_int104",
                "offset": 0,
                "slot": "0"
              }
            ],
            "numberOfBytes": "32"
          },
          "t_uint104": {
            "label": "uint104",
            "numberOfBytes": "13"
          },
          "t_uint128": {
            "label": "uint128",
            "numberOfBytes": "16"
          },
          "t_uint8": {
            "label": "uint8",
            "numberOfBytes": "1"
          }
        },
        "namespaces": {
          "erc7201:openzeppelin.storage.ReentrancyGuard": [
            {
              "contract": "ReentrancyGuardUpgradeable",
              "label": "_status",
              "type": "t_uint256",
              "src": "@openzeppelin/contracts-upgradeable/utils/ReentrancyGuardUpgradeable.sol:43",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Pausable": [
            {
              "contract": "PausableUpgradeable",
              "label": "_paused",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/utils/PausableUpgradeable.sol:21",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Ownable": [
            {
              "contract": "OwnableUpgradeable",
              "label": "_owner",
              "type": "t_address",
              "src": "@openzeppelin/contracts-upgradeable/access/OwnableUpgradeable.sol:24",
              "offset": 0,
              "slot": "0"
            }
          ],
          "erc7201:openzeppelin.storage.Initializable": [
            {
              "contract": "Initializable",
              "label": "_initialized",
              "type": "t_uint64",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:69",
              "offset": 0,
              "slot": "0"
            },
            {
              "contract": "Initializable",
              "label": "_initializing",
              "type": "t_bool",
              "src": "@openzeppelin/contracts-upgradeable/proxy/utils/Initializable.sol:73",
              "offset": 8,
              "slot": "0"
            }
          ]
        }
      }
    }
  }
}
